commit 5a18e3b744e3d1d8c80a0b2b3ae99a631765ba9f
Author: GCC Administrator <gccadmin@gcc.gnu.org>
Date:   Sun Jul 9 02:18:19 2023

    Daily bump.

diff --git a/gcc/DATESTAMP b/gcc/DATESTAMP
index f3144f1474c..6ca206c427e 100644
--- a/gcc/DATESTAMP
+++ b/gcc/DATESTAMP
@@ -1 +1 @@
-20230708
+20230709
diff --git a/gcc/fortran/ChangeLog b/gcc/fortran/ChangeLog
index e7b9d5c735f..f60f324aea7 100644
--- a/gcc/fortran/ChangeLog
+++ b/gcc/fortran/ChangeLog
@@ -1,3 +1,12 @@
+2023-07-08  Harald Anlauf  <anlauf@gmx.de>
+
+	Backported from master:
+	2023-07-08  Harald Anlauf  <anlauf@gmx.de>
+
+	PR fortran/110585
+	* arith.c (gfc_compare_expr): Handle equality comparison of constant
+	complex gfc_expr arguments.
+
 2023-06-09  Jakub Jelinek  <jakub@redhat.com>
 
 	Backported from master:
diff --git a/gcc/testsuite/ChangeLog b/gcc/testsuite/ChangeLog
index fd1169aa1cd..f5fb43e4bf4 100644
--- a/gcc/testsuite/ChangeLog
+++ b/gcc/testsuite/ChangeLog
@@ -1,3 +1,11 @@
+2023-07-08  Harald Anlauf  <anlauf@gmx.de>
+
+	Backported from master:
+	2023-07-08  Harald Anlauf  <anlauf@gmx.de>
+
+	PR fortran/110585
+	* gfortran.dg/findloc_9.f90: New test.
+
 2023-07-07  Iain Buclaw  <ibuclaw@gdcproject.org>
 
 	Backported from master:

